Get all invoices
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
invoice| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| internal_number |
Internal number to identify the invoice |
string | |
| company_id |
Foreign key to company, identifies the company of the invoice |
globally unique identifier | |
| company_code |
Company code of the invoice |
string | |
| company_name |
Company name of the invoice |
string | |
| date_create |
Invoice creation date in utc |
date | |
| memo |
Memo field for invoice |
string | |
| description |
Decription field for invoice |
string | |
| invoice_type |
Invoice type, possible values “ContractGenerated“ and “WorkOrderApproval“ |
string | |
| source_type |
Source of invoice, refers to the type of the object from which invoice is derived |
string | |
| source_id_in_table |
Key of the object from which the invoice is derived |
globally unique identifier | |
| total_lines |
Total amount of lines linked to the invoice |
integer | |
| total_amount |
Total value of items in lines linked to the invoice |
decimal number | |
| db_currency_id |
Key of db_currency entity, identifies the db_currency of the invoice |
globally unique identifier | |
| total_taxes |
Total taxes |
decimal number | |
| due_date |
The due date |
date | |
| source_db_table_name |
The name of db table |
string | |
| delivery_name |
The delivery name |
string | |
| delivery_street |
The street for delivery |
string | |
| delivery_city |
The city for delivery |
string | |
| delivery_zip |
The zip for delivery |
string | |
| delivery_db_country_name |
The country name for delivery |
string | |
| reference_back_office |
Reference data for back office |
string | |
| db_payment_method_id |
Payment method id |
globally unique identifier | |
| id2 |
id for internal |
integer | |
| customer_remarks |
Customer remarks |
string | |
| bill_to_party |
The bill to party |
string | |
| bill_to_contact_id |
Contact id for bill |
globally unique identifier | |
| contact_id |
Contact id of invoice |
globally unique identifier | |
| article_price_label_id |
Article price label id |
globally unique identifier | |
| db_language_id |
The language id |
globally unique identifier | |
| invoice_status_id |
The status id of invoice |
globally unique identifier | |
| invoice_status_name |
The status name of invoice |
string | |
| discount_group_id |
The id of discount group |
globally unique identifier | |
| discount |
Discount value |
decimal number | |
|
The email |
string | ||
| invoice_number |
Invoice number |
string | |
| bill_to_company_id |
Company id for bill |
globally unique identifier | |
| dateutc_confirmation |
The confirmation date (UTC) |
date | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "725ce77a-e5b4-44be-9419-c6c83fd62c09",
"internal_number": "sample string 2",
"company_id": "6090bd5b-7aca-4d1c-b272-f2eb0d077eb6",
"company_code": "sample string 4",
"company_name": "sample string 5",
"date_create": "2026-11-02T00:00:43.2524446+00:00",
"memo": "sample string 7",
"description": "sample string 8",
"invoice_type": "sample string 9",
"source_type": "sample string 10",
"source_id_in_table": "828cb41a-f608-4701-bd81-d6c82622d193",
"total_lines": 12,
"total_amount": 13.0,
"db_currency_id": "73793231-2277-4c8c-bfd0-2251f078361b",
"total_taxes": 15.0,
"due_date": "2026-11-02T00:00:43.2524446+00:00",
"source_db_table_name": "sample string 17",
"delivery_name": "sample string 18",
"delivery_street": "sample string 19",
"delivery_city": "sample string 20",
"delivery_zip": "sample string 21",
"delivery_db_country_name": "sample string 22",
"reference_back_office": "sample string 23",
"db_payment_method_id": "2c222427-401c-43da-be52-84d0ee13962c",
"id2": 25,
"customer_remarks": "sample string 26",
"bill_to_party": "sample string 27",
"bill_to_contact_id": "31dc8ad0-047f-4039-96d3-15d96fe74a9f",
"contact_id": "f315c53c-e23f-4d22-88a6-1ade476a3578",
"article_price_label_id": "57323030-7a09-4b94-81d5-83d706c95f7f",
"db_language_id": "36968327-eb2b-4b1c-b7d2-8b0f4725092f",
"invoice_status_id": "7170d19c-cadf-45da-87d6-2ab9b880216d",
"invoice_status_name": "sample string 33",
"discount_group_id": "2d24f0ee-4a70-4e22-be4d-16db6dd47950",
"discount": 35.0,
"email": "sample string 36",
"invoice_number": "sample string 37",
"bill_to_company_id": "dfd1087d-436f-4636-8914-e900b0c13a94",
"dateutc_confirmation": "2026-11-02T00:00:43.2524446+00:00",
"modified_dateutc": "2026-11-02T00:00:43.2524446+00:00"
}